---
type: api
title: Update cloud connector
description: Update a cloud connector by ID.<br/><br/>[Required authorization] Route required privileges: fleet-agent-policies-all OR integrations-all.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-put-fleet-cloud-connectors-cloudconnectorid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-put-fleet-cloud-connectors-cloudconnectorid
products:
  - Kibana
---

# Update cloud connector

Availability: 9.2+

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/fleet/cloud_connectors/{cloudConnectorId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `cloudConnectorId` (string)
  The unique identifier of the cloud connector to update.

## Description

Update a cloud connector by ID.<br/><br/>[Required authorization] Route required privileges: fleet-agent-policies-all OR integrations-all.

## Request Body

`application/json`

- `accountType` (enum) — optional
  The account type: single-account (single account/subscription) or organization-account (organization-wide).
  Values: `single-account`, `organization-account`
- `iac_blueprint_id` (string · min: 1 · max: 255) — optional — nullable
  Identifier of the template source last used for this connector. Set to null to remove it.
- `iac_blueprint_version` (string · min: 1 · max: 64) — optional — nullable
  Version of the template source last used for this connector. Set to null to remove it.
- `iac_deployment_id` (string · min: 1 · max: 2048) — optional
  ARN of the last CloudFormation stack deployed for this connector (`arn:<partition>:cloudformation:<region>:<account>:stack/<name>/<id>`).
- `iac_key` (string · min: 1 · max: 512) — optional — nullable
  Checksum of the CloudFormation template last saved on this connector. Set to null to remove it.
- `name` (string · min: 1 · max: 255) — optional
  The name of the cloud connector.
- `vars` (map string to anyOf) — optional

## Responses

#### `200`

Successful response

`application/json`

- `item` (object)
  - `accountType` (string)
  - `cloudProvider` (string)
  - `created_at` (string)
  - `iac_blueprint_id` (string · min: 1 · max: 255) — nullable
    Identifier of the template source last used for this connector. Set to null to remove it.
  - `iac_blueprint_version` (string · min: 1 · max: 64) — nullable
    Version of the template source last used for this connector. Set to null to remove it.
  - `iac_deployment_id` (string · min: 1 · max: 2048)
    ARN of the last CloudFormation stack deployed for this connector (`arn:<partition>:cloudformation:<region>:<account>:stack/<name>/<id>`).
  - `iac_key` (string · min: 1 · max: 512) — nullable
    Checksum of the CloudFormation template last saved on this connector. Set to null to remove it.
  - `iac_upgrade_checked_at` (string)
    When this connector was last checked for a CloudFormation template upgrade.
  - `iac_upgrade_status` (enum)
    Whether a newer CloudFormation template is available for this connector.
    Values: `up_to_date`, `upgrade_available`
  - `id` (string)
  - `name` (string)
  - `namespace` (string)
  - `packagePolicyCount` (number)
  - `updated_at` (string)
  - `vars` (map string to object)
  - `verification_failed_at` (string)
  - `verification_started_at` (string)
  - `verification_status` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
PUT /api/fleet/cloud_connectors/{cloudConnectorId}
{
  "iac_blueprint_id": "federated-identity",
  "iac_blueprint_version": "1.0.0",
  "iac_deployment_id": "arn:aws:cloudformation:us-east-1:123456789012:stack/elastic-aws-connector/abc",
  "iac_key": "sha256:661cb7def1c7101f",
  "name": "Updated AWS connector",
  "vars": {}
}
```

#### curl

```curl
curl -X PUT "https://{kibana_url}/api/fleet/cloud_connectors/{cloudConnectorId}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
  "iac_blueprint_id": "federated-identity",
  "iac_blueprint_version": "1.0.0",
  "iac_deployment_id": "arn:aws:cloudformation:us-east-1:123456789012:stack/elastic-aws-connector/abc",
  "iac_key": "sha256:661cb7def1c7101f",
  "name": "Updated AWS connector",
  "vars": {}
}'
```

## Response Examples

#### Put cloud connector

The updated Fleet cloud connector

```json
{
  "item": {
    "accountType": "single-account",
    "cloudProvider": "aws",
    "created_at": "2024-01-15T10:00:00.000Z",
    "iac_blueprint_id": "federated-identity",
    "iac_blueprint_version": "1.0.0",
    "iac_deployment_id": "arn:aws:cloudformation:us-east-1:123456789012:stack/elastic-aws-connector/abc",
    "iac_key": "sha256:661cb7def1c7101f",
    "iac_upgrade_checked_at": "2024-01-15T11:00:00.000Z",
    "iac_upgrade_status": "up_to_date",
    "id": "cloud-connector-id-1",
    "name": "Updated AWS connector",
    "packagePolicyCount": 2,
    "updated_at": "2024-01-15T11:00:00.000Z",
    "vars": {}
  }
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

